Last Comment Bug 1097785 - Legal-docs-based pages should not rely on active tags in .lang files
: Legal-docs-based pages should not rely on active tags in .lang files
Status: RESOLVED FIXED
[kb=1611395]
:
Product: www.mozilla.org
Classification: Other
Component: Bedrock (show other bugs)
: Production
: All All
-- normal
: ---
Assigned To: Kohei Yoshino [:kohei]
:
:
Mentors:
Depends on: 1097148 1165178
Blocks: bedrock-l10n
  Show dependency treegraph
 
Reported: 2014-11-12 09:11 PST by Paul [:pmac] McLanahan
Modified: 2015-05-14 20:56 PDT (History)
5 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
pull request (44 bytes, text/x-github-pull-request)
2015-01-12 17:08 PST, Kohei Yoshino [:kohei]
no flags Details | Review | Splinter Review

Description User image Paul [:pmac] McLanahan 2014-11-12 09:11:21 PST
Currently we're having to manage the active languages for the privacy policies etc. (under https://www.mozilla.org/privacy/) with "active" tags in .lang files for the templates. But really we should be activating these locales based on which language versions of the docs are available in the legal-docs repo.

It's possible we're happy with having more control over which languages are active, in which case we can WONTFIX this. But allowing the legal-docs authors to control this seems most appropriate.
Comment 1 User image Jennifer Bertsch [:jbertsch] 2014-11-12 13:41:03 PST
I'm meeting with Peiying on Monday to discuss.  More after that.  Thx.
Comment 2 User image Kohei Yoshino [:kohei] 2014-11-12 17:41:52 PST
WIP: https://github.com/kyoshino/bedrock/compare/bug-1097785-legal-docs-lang
Comment 3 User image Jennifer Bertsch [:jbertsch] 2014-12-17 14:38:36 PST
Let's move forward with Kohei's fix to allow Legal-docs authors to have more control.

Kohei - when it is ready, will you let me know what legal-docs authors will need to change in their process?
Comment 4 User image Kohei Yoshino [:kohei] 2014-12-21 19:50:55 PST
I'll finalize my pull request this week. The remaining issue is the page's language switcher.

Once my PR is landed, locales will be automatically activated once localized legal-docs are merged to Bedrock, without any extra steps by the authors :)
Comment 5 User image Kohei Yoshino [:kohei] 2015-01-12 17:08:24 PST
Created attachment 8547868 [details] [review]
pull request
Comment 6 User image [github robot] 2015-01-27 13:27:18 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/095784321ba756d71157ced2cc0f8191c472ef85
Fix Bug 1097785 - Legal-docs-based pages should not rely on active tags in .lang files

https://github.com/mozilla/bedrock/commit/75db96a7a25f36471116fec9ea89e56f2cd065a3
Merge pull request #2644 from kyoshino/bug-1097785-legal-docs-lang

Fix Bug 1097785 - Legal-docs-based pages should not rely on active tags in .lang files
Comment 7 User image Francesco Lodolo [:flod] 2015-01-28 02:09:53 PST
Files removed from trunk in r137536, also taking the chance to make /privacy properly localizable.

Moved to stage in r137543 (together with other changes), waiting to test on www.allizom.org
Comment 8 User image Kohei Yoshino [:kohei] 2015-01-28 02:19:09 PST
Thanks :flod!

Note You need to log in before you can comment on or make changes to this bug.